Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service

search inside this forum
Compatibility between old SAP and new Cyclone MAX Firmware
Jerome V. Mar 28, 2017 at 02:31 AM (02:31 hours)
Staff: Takao Y.

  • Hello all,

    We have generated a SAP few month ago.
    We load and program this SAP with a Cyclone Max with a firmware 7.76-6.2.

    Now, we have a new Cyclone Max with a firmware 7.92-6.2.

    We have seen some compatibility problems. Is it due to the cyclone firmware ?
    What is the solution in order to avoid this problem ?

    We would like to dont re-generate again the SAP. Because if a new SAP is generated, we must validate again all the software.

    Thanks a lot and regards




    Comments

  • Greetings,

    What kind of errors are you getting with the newer firmware?

    To confirm that the issue is purely the firmware, you should do a test in PROG software on the cyclone with 7.92. PROG is found in your cyclone software package. The firmware determines the functions in SAP, but firmware has little to do with how PROG programs the chip.

    WARNING, that if you use the 7.76 firmware cyclone onto a software that support firmware 7.92, then the software will automatically update the firmware to the latest. So you need to be careful of which software/computer you use when doing this test.

    Use the PROG software and replicate the commands and settings you use in programming your chip. If PROG software works for the cyclone with firmware 7.92, then we can focus on the SAP and firmware issue. But if PROG does not work, then we need to find out if your cyclone hardware is faulty.


    Takao Yamada

  • Greetings,

    Any update on this?


    Takao Yamada

  • Hi Takao,

    We have used the convert software in order to convert the Cyclone Max SAP to Cyclone Universal SAP.
    Thank you for your support

Add comment


   Want to comment? Please login or create a new PEMicro account.







© 2017 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement